# Deprecated API

## Contents

- Classes
- Methods
- Constructors

Deprecated Classes
Class
Description
jaxe.SchemaW3C
remplacé par jaxe.wxs.JaxeWXS
jaxe.VerifTypeSimple

Deprecated Methods
Method
Description
jaxe.Balise.setBord(Border)
jaxe.Config.documentationAttribut(Element)
un attribut peut avoir plusieurs parents, utiliser documentationAttribut(final Element refParent, final Element refAttribut) à la place.
jaxe.Config.estObligatoire(Element)
jaxe.Config.expressionEspace(JaxeElement, int, int, Element, boolean, String)
jaxe.Config.getSchemaTypeElement(String, String)
jaxe.Config.getVerifTypeSimple(Element)
remplacé par valeurElementValide() et attributValide()
jaxe.Config.titreAttribut(Element)
un attribut peut avoir plusieurs parents, utiliser titreAttribut(final Element refParent, final Element refAttribut) à la place.
jaxe.Config.titreValeurAttribut(Element, String)
un attribut peut avoir plusieurs parents, utiliser titreValeurAttribut(final Element refParent, final Element refAttribut, final String valeur) à la place.
jaxe.InterfaceSchema.estObligatoire(Element)
jaxe.JaxeDocument.coller(JTextComponent)
jaxe.JaxeDocument.pp2string(Object)
jaxe.JaxeDocument.removeProcessingInstructions(Node)
jaxe.JaxeTextPane.coller()
remplacé par paste()
jaxe.JaxeTextPane.copier()
remplacé par copy()
jaxe.JaxeTextPane.couper()
remplacé par cut()
jaxe.JaxeTextPane.couper(int, int)
jaxe.JaxeTextPane.effacerPressePapier()
jaxe.SchemaRelaxNG.estObligatoire(Element)
jaxe.SchemaSimple.estObligatoire(Element)
jaxe.SchemaW3C.estObligatoire(Element)

Deprecated Constructors
Constructor
Description
jaxe.VerifTypeSimple(Config, Element)
remplacé par jaxe.Config.valeurElementValide() et jaxe.Config.attributValide()